import 'package:functions/src/core/domain/repositories/functions_repository.dart';
import 'package:functions/src/features/activity_meter/domain/entities/activity_entity.dart';
import 'package:functions/src/features/activity_meter/domain/get_device_steps_use_case.dart';

class GetDeviceStepsUseCaseImpl implements GetDeviceStepsUseCase {
  GetDeviceStepsUseCaseImpl(this._repository);

  final FunctionsRepository _repository;

  @override
  Future<List<ActivityEntity>> getDeviceSteps({required String deviceId}) {
    return _repository.getDeviceSteps(deviceId: deviceId);
  }
}
